
Ruby - Bug #1694

Tempfile.open{} の返り値

06/26/2009 10:16 PM - no6v (Nobuhiro IMAI)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.2dev (2009-06-26 trunk 23860)

[i686-linux]

Backport:  

Description

=begin

r19454 で、Tempfile.open{} はブロックを評価した値を返すようになっていますが、

ドキュメントが対応していないようなので、パッチです。

File.open{} から取ってきました。

=end

Associated revisions

Revision b3b6698e2f05ddf186e71153f81b76098222a6b0 - 07/13/2009 11:39 AM - yugui (Yuki Sonoda)

lib/tempfile (Tempfile.open): rdoc. patch by Nobuhiro IMAI.

#1694

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@24088 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ea610ae04642f8a62eea5c3d4c31a6a956c77fce - 07/15/2009 11:57 AM - yugui (Yuki Sonoda)

merges r24088 from trunk into ruby_1_9_1.

lib/tempfile (Tempfile.open): rdoc. patch by Nobuhiro IMAI.

#1694

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_1@24119 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/13/2009 08:47 PM - yugui (Yuki Sonoda)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r24088.

=end

Files

tempfile-open.patch 496 Bytes 06/26/2009 no6v (Nobuhiro IMAI)
